# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
KDECONFIG = @KDECONFIG@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_INSTALLED_FALSE = @KDE_INSTALLED_FALSE@
KDE_INSTALLED_TRUE = @KDE_INSTALLED_TRUE@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
LDFLAGS = @LDFLAGS@
LIBBSD = @LIBBSD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXF86VIDMODE = @LIBXF86VIDMODE@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SLP = @LIB_SLP@
LIB_SMB = @LIB_SMB@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XGETTEXT = @XGETTEXT@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
certmanager_SUBDIR_included_FALSE = @certmanager_SUBDIR_included_FALSE@
certmanager_SUBDIR_included_TRUE = @certmanager_SUBDIR_included_TRUE@
datadir = @datadir@
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdict_SUBDIR_included_FALSE = @kdict_SUBDIR_included_FALSE@
kdict_SUBDIR_included_TRUE = @kdict_SUBDIR_included_TRUE@
kfile_plugins_SUBDIR_included_FALSE = @kfile_plugins_SUBDIR_included_FALSE@
kfile_plugins_SUBDIR_included_TRUE = @kfile_plugins_SUBDIR_included_TRUE@
kget_SUBDIR_included_FALSE = @kget_SUBDIR_included_FALSE@
kget_SUBDIR_included_TRUE = @kget_SUBDIR_included_TRUE@
kit_SUBDIR_included_FALSE = @kit_SUBDIR_included_FALSE@
kit_SUBDIR_included_TRUE = @kit_SUBDIR_included_TRUE@
kmail_SUBDIR_included_FALSE = @kmail_SUBDIR_included_FALSE@
kmail_SUBDIR_included_TRUE = @kmail_SUBDIR_included_TRUE@
kmailcvt_SUBDIR_included_FALSE = @kmailcvt_SUBDIR_included_FALSE@
kmailcvt_SUBDIR_included_TRUE = @kmailcvt_SUBDIR_included_TRUE@
knewsticker_SUBDIR_included_FALSE = @knewsticker_SUBDIR_included_FALSE@
knewsticker_SUBDIR_included_TRUE = @knewsticker_SUBDIR_included_TRUE@
knode_SUBDIR_included_FALSE = @knode_SUBDIR_included_FALSE@
knode_SUBDIR_included_TRUE = @knode_SUBDIR_included_TRUE@
korn_SUBDIR_included_FALSE = @korn_SUBDIR_included_FALSE@
korn_SUBDIR_included_TRUE = @korn_SUBDIR_included_TRUE@
kpf_SUBDIR_included_FALSE = @kpf_SUBDIR_included_FALSE@
kpf_SUBDIR_included_TRUE = @kpf_SUBDIR_included_TRUE@
kppp_SUBDIR_included_FALSE = @kppp_SUBDIR_included_FALSE@
kppp_SUBDIR_included_TRUE = @kppp_SUBDIR_included_TRUE@
krdc_SUBDIR_included_FALSE = @krdc_SUBDIR_included_FALSE@
krdc_SUBDIR_included_TRUE = @krdc_SUBDIR_included_TRUE@
krfb_SUBDIR_included_FALSE = @krfb_SUBDIR_included_FALSE@
krfb_SUBDIR_included_TRUE = @krfb_SUBDIR_included_TRUE@
ksirc_SUBDIR_included_FALSE = @ksirc_SUBDIR_included_FALSE@
ksirc_SUBDIR_included_TRUE = @ksirc_SUBDIR_included_TRUE@
ktalkd_SUBDIR_included_FALSE = @ktalkd_SUBDIR_included_FALSE@
ktalkd_SUBDIR_included_TRUE = @ktalkd_SUBDIR_included_TRUE@
kxmlrpc_SUBDIR_included_FALSE = @kxmlrpc_SUBDIR_included_FALSE@
kxmlrpc_SUBDIR_included_TRUE = @kxmlrpc_SUBDIR_included_TRUE@
lanbrowsing_SUBDIR_included_FALSE = @lanbrowsing_SUBDIR_included_FALSE@
lanbrowsing_SUBDIR_included_TRUE = @lanbrowsing_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkdenetwork_SUBDIR_included_FALSE = @libkdenetwork_SUBDIR_included_FALSE@
libkdenetwork_SUBDIR_included_TRUE = @libkdenetwork_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
mimelib_SUBDIR_included_FALSE = @mimelib_SUBDIR_included_FALSE@
mimelib_SUBDIR_included_TRUE = @mimelib_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@

KDE_CXXFLAGS = $(USE_RTTI) $(USE_EXCEPTIONS) -UQT_NO_ASCII_CAST

# set the include path for X, qt and KDE
INCLUDES = -IKSOpenkSirc -IKSPrefs $(all_includes)

# claim, which subdirectories you want to install
SUBDIRS = KSProgress KSPrefs KSOpenkSirc img 

#>- METASOURCES = AUTO

bin_PROGRAMS = ksirc

check_PROGRAMS = testview

testview_SOURCES = kstextviewtest.cpp
testview_LDADD = kstextview.lo $(LIB_KDEUI)
testview_LDFLAGS = $(all_libraries) $(KDE_RPATH)

lib_LTLIBRARIES = ksirc.la

noinst_PROGRAMS = getdate


# Which sources should be compiled for ksirc.
#>- ksirc_la_SOURCES = \
#>- 	toplevel.cpp \
#>- 	charSelector.cpp \
#>- 	chanButtons.cpp \
#>- 	ksirc.cpp \
#>- 	alistbox.cpp \
#>- 	ahistlineedit.cpp \
#>- 	iocontroller.cpp \
#>- 	NewWindowDialog.cpp \
#>- 	messageReceiver.cpp \
#>- 	ioBroadcast.cpp \
#>- 	ksircprocess.cpp \
#>- 	servercontroller.cpp \
#>- 	FilterRuleEditor.cpp FilterRuleWidget.ui \
#>- 	ioDiscard.cpp \
#>- 	ioDCC.cpp dccDialog.cpp dccDialogData.cpp \
#>- 	ioLAG.cpp \
#>- 	ioNotify.cpp \
#>- 	ssfeprompt.cpp ssfepromptdata.cpp \
#>- 	usercontrolmenu.cpp \
#>- 	baserules.cpp \
#>- 	chanparser.cpp \
#>- 	objFinder.cpp \
#>- 	displayMgrSDI.cpp \
#>- 	displayMgrMDI.cpp \
#>- 	mditoplevel.cpp \
#>- 	ksopts.cpp \
#>- 	topic.cpp \
#>- 	ksview.cpp \
#>- 	logfile.cpp \
#>-         kstextview.cpp \
#>-         colorpicker.cpp
#>+ 32
ksirc_la_SOURCES=\
	toplevel.cpp \
	charSelector.cpp \
	chanButtons.cpp \
	ksirc.cpp \
	alistbox.cpp \
	ahistlineedit.cpp \
	iocontroller.cpp \
	NewWindowDialog.cpp \
	messageReceiver.cpp \
	ioBroadcast.cpp \
	ksircprocess.cpp \
	servercontroller.cpp \
	FilterRuleEditor.cpp  \
	ioDiscard.cpp \
	ioDCC.cpp dccDialog.cpp dccDialogData.cpp \
	ioLAG.cpp \
	ioNotify.cpp \
	ssfeprompt.cpp ssfepromptdata.cpp \
	usercontrolmenu.cpp \
	baserules.cpp \
	chanparser.cpp \
	objFinder.cpp \
	displayMgrSDI.cpp \
	displayMgrMDI.cpp \
	mditoplevel.cpp \
	ksopts.cpp \
	topic.cpp \
	ksview.cpp \
	logfile.cpp \
        kstextview.cpp \
        colorpicker.cpp FilterRuleWidget.cpp


# the library search path
ksirc_la_LDFLAGS = $(all_libraries) -module -avoid-version
ksirc_la_COMPILE_FIRST = cdate.h

all_ksirc_libraries = \
	./KSPrefs/libksprefs.la \
	./KSProgress/libksprogress.la  \
	./KSOpenkSirc/libksopenksirc.la \
	$(LIB_KFILE) $(LIBDL) 


# the libraries to link against. Be aware of the order. First the libraries,
# that depend on the following ones.
ksirc_la_LIBADD = $(all_ksirc_libraries)

ksirc_SOURCES = dummy.cpp
ksirc_LDADD = ksirc.la
ksirc_LDFLAGS = $(all_libraries) $(KDE_RPATH)

getdate_SOURCES = getdate.c

# this option you can leave out. Just, if you use "make dist", you need it
#
# DSIRC is on the bottom so make dist includes it!!!!!!!!!
#
noinst_HEADERS = \
	FilterRuleEditor.h \
	control_message.h \
	FilterRuleWidget.h \
	dccDialog.h \
	messageReceiver.h \
	dccDialogData.h \
	ioBroadcast.h \
	ioDCC.h \
	usercontrolmenu.h \
	ioDiscard.h \
	ahistlineedit.h \
	iocontroller.h \
	servercontroller.h \
	alistbox.h \
	chanparser.h \
	toplevel.h \
	ksircprocess.h \
	cdate.h \
	ioLAG.h \
	ioNotify.h \
	ssfeprompt.h \
	ssfepromptdata.h \
	usercontrolmenu.h \
	objFinder.h \
	baserules.h \
	displayMgr.h \
	displayMgrSDI.h \
	NewWindowDialog.h \
    ksopts.h \
	ksview.h \
	boundscheckingarray.h


bin_SCRIPTS = dsirc

apps_DATA = ksirc.desktop
appsdir = $(kde_appsdir)/Internet

misc_DATA = ksirc.pl filters.pl sirc.help.gz relnotes eventsrc
miscdir = $(kde_datadir)/ksirc

conf_DATA = ksircrc
confdir = $(kde_confdir)
subdir = ksirc
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

ksirc_la_DEPENDENCIES = ./KSPrefs/libksprefs.la \
	./KSProgress/libksprogress.la ./KSOpenkSirc/libksopenksirc.la
am_ksirc_la_OBJECTS = toplevel.lo charSelector.lo chanButtons.lo \
	ksirc.lo alistbox.lo ahistlineedit.lo iocontroller.lo \
	NewWindowDialog.lo messageReceiver.lo ioBroadcast.lo \
	ksircprocess.lo servercontroller.lo FilterRuleEditor.lo \
	ioDiscard.lo ioDCC.lo dccDialog.lo dccDialogData.lo ioLAG.lo \
	ioNotify.lo ssfeprompt.lo ssfepromptdata.lo usercontrolmenu.lo \
	baserules.lo chanparser.lo objFinder.lo displayMgrSDI.lo \
	displayMgrMDI.lo mditoplevel.lo ksopts.lo topic.lo ksview.lo \
	logfile.lo kstextview.lo colorpicker.lo
#>- ksirc_la_OBJECTS = $(am_ksirc_la_OBJECTS)
#>+ 12
ksirc_la_final_OBJECTS = ksirc_la.all_cpp.lo 
ksirc_la_nofinal_OBJECTS = toplevel.lo charSelector.lo chanButtons.lo \
	ksirc.lo alistbox.lo ahistlineedit.lo iocontroller.lo \
	NewWindowDialog.lo messageReceiver.lo ioBroadcast.lo \
	ksircprocess.lo servercontroller.lo FilterRuleEditor.lo \
	ioDiscard.lo ioDCC.lo dccDialog.lo dccDialogData.lo ioLAG.lo \
	ioNotify.lo ssfeprompt.lo ssfepromptdata.lo usercontrolmenu.lo \
	baserules.lo chanparser.lo objFinder.lo displayMgrSDI.lo \
	displayMgrMDI.lo mditoplevel.lo ksopts.lo topic.lo ksview.lo \
	logfile.lo kstextview.lo colorpicker.lo FilterRuleWidget.lo
@KDE_USE_FINAL_FALSE@ksirc_la_OBJECTS = $(ksirc_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@ksirc_la_OBJECTS = $(ksirc_la_final_OBJECTS)
bin_PROGRAMS = ksirc$(EXEEXT)
check_PROGRAMS = testview$(EXEEXT)
noinst_PROGRAMS = getdate$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)

am_getdate_OBJECTS = getdate.$(OBJEXT)
#>- getdate_OBJECTS = $(am_getdate_OBJECTS)
#>+ 1
getdate_OBJECTS = getdate.$(OBJEXT)
getdate_LDADD = $(LDADD)
getdate_DEPENDENCIES =
getdate_LDFLAGS =
am_ksirc_OBJECTS = dummy.$(OBJEXT)
#>- ksirc_OBJECTS = $(am_ksirc_OBJECTS)
#>+ 1
ksirc_OBJECTS = dummy.$(OBJEXT)
ksirc_DEPENDENCIES = ksirc.la
am_testview_OBJECTS = kstextviewtest.$(OBJEXT)
#>- testview_OBJECTS = $(am_testview_OBJECTS)
#>+ 1
testview_OBJECTS = kstextviewtest.$(OBJEXT)
testview_DEPENDENCIES = kstextview.lo
SCRIPTS = $(bin_SCRIPTS)


DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/FilterRuleEditor.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/NewWindowDialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ahistlineedit.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/alistbox.Plo ./$(DEPDIR)/baserules.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/chanButtons.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/chanparser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/charSelector.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/colorpicker.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/dccDialog.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/dccDialogData.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/displayMgrMDI.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/displayMgrSDI.Plo ./$(DEPDIR)/dummy.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/getdate.Po ./$(DEPDIR)/ioBroadcast.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ioDCC.Plo ./$(DEPDIR)/ioDiscard.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ioLAG.Plo ./$(DEPDIR)/ioNotify.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/iocontroller.Plo ./$(DEPDIR)/ksirc.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ksircprocess.Plo ./$(DEPDIR)/ksopts.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kstextview.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kstextviewtest.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ksview.Plo ./$(DEPDIR)/logfile.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/mditoplevel.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/messageReceiver.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/objFinder.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/servercontroller.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ssfeprompt.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/ssfepromptdata.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/topic.Plo ./$(DEPDIR)/toplevel.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/usercontrolmenu.Plo
#>+ 57
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/FilterRuleWidget.P  $(DEPDIR)/ksirc_la.all_cpp.P  ./$(DEPDIR)/FilterRuleEditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/NewWindowDialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ahistlineedit.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/alistbox.Plo ./$(DEPDIR)/baserules.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/chanButtons.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/chanparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/charSelector.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/colorpicker.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/dccDialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/dccDialogData.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/displayMgrMDI.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/displayMgrSDI.Plo ./$(DEPDIR)/dummy.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/getdate.Po ./$(DEPDIR)/ioBroadcast.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ioDCC.Plo ./$(DEPDIR)/ioDiscard.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ioLAG.Plo ./$(DEPDIR)/ioNotify.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/iocontroller.Plo ./$(DEPDIR)/ksirc.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ksircprocess.Plo ./$(DEPDIR)/ksopts.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kstextview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kstextviewtest.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ksview.Plo ./$(DEPDIR)/logfile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/mditoplevel.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/messageReceiver.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/objFinder.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/servercontroller.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ssfeprompt.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/ssfepromptdata.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/topic.Plo ./$(DEPDIR)/toplevel.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/usercontrolmenu.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/FilterRuleWidget.P  ./$(DEPDIR)/FilterRuleEditor.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/NewWindowDialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ahistlineedit.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/alistbox.Plo ./$(DEPDIR)/baserules.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/chanButtons.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/chanparser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/charSelector.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/colorpicker.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/dccDialog.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/dccDialogData.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/displayMgrMDI.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/displayMgrSDI.Plo ./$(DEPDIR)/dummy.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/getdate.Po ./$(DEPDIR)/ioBroadcast.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ioDCC.Plo ./$(DEPDIR)/ioDiscard.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ioLAG.Plo ./$(DEPDIR)/ioNotify.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/iocontroller.Plo ./$(DEPDIR)/ksirc.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ksircprocess.Plo ./$(DEPDIR)/ksopts.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kstextview.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kstextviewtest.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ksview.Plo ./$(DEPDIR)/logfile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/mditoplevel.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/messageReceiver.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/objFinder.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/servercontroller.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ssfeprompt.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/ssfepromptdata.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/topic.Plo ./$(DEPDIR)/toplevel.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/usercontrolmenu.Plo

COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(ksirc_la_SOURCES) $(getdate_SOURCES) $(ksirc_SOURCES) \
	$(testview_SOURCES)
DATA = $(apps_DATA) $(conf_DATA) $(misc_DATA)

HEADERS = $(noinst_HEADERS)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(noinst_HEADERS) ChangeLog Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(ksirc_la_SOURCES) $(getdate_SOURCES) $(ksirc_SOURCES) $(testview_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .c .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  ksirc/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  ksirc/Makefile
	cd $(top_srcdir) && perl admin/am_edit ksirc/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
ksirc.la: $(ksirc_la_OBJECTS) $(ksirc_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(ksirc_la_LDFLAGS) $(ksirc_la_OBJECTS) $(ksirc_la_LIBADD) $(LIBS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-checkPROGRAMS:
	@list='$(check_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
getdate$(EXEEXT): $(getdate_OBJECTS) $(getdate_DEPENDENCIES) 
	@rm -f getdate$(EXEEXT)
	$(LINK) $(getdate_LDFLAGS) $(getdate_OBJECTS) $(getdate_LDADD) $(LIBS)
ksirc$(EXEEXT): $(ksirc_OBJECTS) $(ksirc_DEPENDENCIES) 
	@rm -f ksirc$(EXEEXT)
	$(CXXLINK) $(ksirc_LDFLAGS) $(ksirc_OBJECTS) $(ksirc_LDADD) $(LIBS)
testview$(EXEEXT): $(testview_OBJECTS) $(testview_DEPENDENCIES) 
	@rm -f testview$(EXEEXT)
	$(CXXLINK) $(testview_LDFLAGS) $(testview_OBJECTS) $(testview_LDADD) $(LIBS)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(bindir)/$$f"; \
	    $(binSCRIPT_INSTALL) $$d$$p $(DESTDIR)$(bindir)/$$f; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FilterRuleEditor.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/NewWindowDialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ahistlineedit.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/alistbox.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/baserules.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chanButtons.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chanparser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/charSelector.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/colorpicker.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dccDialog.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dccDialogData.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/displayMgrMDI.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/displayMgrSDI.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getdate.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ioBroadcast.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ioDCC.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ioDiscard.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ioLAG.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ioNotify.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iocontroller.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksirc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksircprocess.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksopts.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kstextview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kstextviewtest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ksview.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/logfile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mditoplevel.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messageReceiver.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/objFinder.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/servercontroller.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ssfeprompt.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ssfepromptdata.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/topic.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/toplevel.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usercontrolmenu.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
appsDATA_INSTALL = $(INSTALL_DATA)
install-appsDATA: $(apps_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(appsdir)
	@list='$(apps_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f"; \
	  $(appsDATA_INSTALL) $$d$$p $(DESTDIR)$(appsdir)/$$f; \
	done

uninstall-appsDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(apps_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(appsdir)/$$f"; \
	  rm -f $(DESTDIR)$(appsdir)/$$f; \
	done
confDATA_INSTALL = $(INSTALL_DATA)
install-confDATA: $(conf_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(confdir)
	@list='$(conf_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(confDATA_INSTALL) $$d$$p $(DESTDIR)$(confdir)/$$f"; \
	  $(confDATA_INSTALL) $$d$$p $(DESTDIR)$(confdir)/$$f; \
	done

uninstall-confDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(conf_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(confdir)/$$f"; \
	  rm -f $(DESTDIR)$(confdir)/$$f; \
	done
miscDATA_INSTALL = $(INSTALL_DATA)
install-miscDATA: $(misc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(miscdir)
	@list='$(misc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(miscDATA_INSTALL) $$d$$p $(DESTDIR)$(miscdir)/$$f"; \
	  $(miscDATA_INSTALL) $$d$$p $(DESTDIR)$(miscdir)/$$f; \
	done

uninstall-miscDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(misc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(miscdir)/$$f"; \
	  rm -f $(DESTDIR)$(miscdir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=sirc.help.gz eventsrc displayMgrMDI.h Artistic default.pl kstextview.h charSelector.h relnotes filters.pl openksircproc.dlg FilterRuleWidget.ui servercontroller.dlg dccDialog.dlg chanButtons.h topic.h ksircrc ksirc.pl stringparserstate.h FilterRuleEditor.dlg ksirc.desktop FAQ logfile.h colorpicker.h dsirc mditoplevel.h version.h 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(SCRIPTS) $(DATA) \
		$(HEADERS)
install-binPROGRAMS: install-libLTLIBRARIES

installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(libdir) $(DESTDIR)$(bindir) $(DESTDIR)$(bindir) $(DESTDIR)$(appsdir) $(DESTDIR)$(confdir) $(DESTDIR)$(miscdir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
#>- 	clean-libLTLIBRARIES clean-libtool clean-noinstPROGRAMS \
#>- 	mostlyclean-am
#>+ 3
clean-am: clean-metasources clean-ui clean-final  clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
	clean-libLTLIBRARIES clean-libtool clean-noinstPROGRAMS \
	mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am: install-appsDATA install-confDATA install-miscDATA

install-exec-am: install-binPROGRAMS install-binSCRIPTS \
	install-libLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-appsDATA uninstall-binPROGRAMS \
	uninstall-binSCRIPTS uninstall-confDATA uninstall-info-am \
	uninstall-libLTLIBRARIES uninstall-miscDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
	clean-libLTLIBRARIES clean-libtool clean-noinstPROGRAMS \
	clean-recursive ctags ctags-recursive distclean \
	distclean-compile distclean-depend distclean-generic \
	distclean-libtool distclean-recursive distclean-tags distdir \
	dvi dvi-am dvi-recursive info info-am info-recursive install \
	install-am install-appsDATA install-binPROGRAMS \
	install-binSCRIPTS install-confDATA install-data \
	install-data-am install-data-recursive install-exec \
	install-exec-am install-exec-recursive install-info \
	install-info-am install-info-recursive install-libLTLIBRARIES \
	install-man install-miscDATA install-recursive install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-appsDATA \
	uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-confDATA \
	uninstall-info-am uninstall-info-recursive \
	uninstall-libLTLIBRARIES uninstall-miscDATA uninstall-recursive


kdoc:
	kdoc -ddoc ksirc *.h

cdate.h: getdate
	./getdate > cdate.h

messages: rc.cpp
	$(EXTRACTRC) KSOpenkSirc/*.ui >> rc.cpp
	$(EXTRACTRC) KSPrefs/*.ui >> rc.cpp
	$(XGETTEXT) *.cpp */*.cpp -o $(podir)/ksirc.pot

dummy.cpp:
	echo > dummy.cpp
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 14
FilterRuleWidget.cpp: $(srcdir)/FilterRuleWidget.ui FilterRuleWidget.h FilterRuleWidget.moc
	rm -f FilterRuleWidget.cpp
	echo '#include <klocale.h>' > FilterRuleWidget.cpp
	$(UIC) -tr ${UIC_TR} -i FilterRuleWidget.h $(srcdir)/FilterRuleWidget.ui > FilterRuleWidget.cpp.temp ; ret=$$?; \
	sed -e "s,${UIC_TR}( \"\" ),QString::null,g" FilterRuleWidget.cpp.temp | sed -e "s,${UIC_TR}( \"\"\, \"\" ),QString::null,g" | sed -e "s,image\([0-9][0-9]*\)_data,img\1_FilterRuleWidget,g" >> FilterRuleWidget.cpp ;\
	rm -f FilterRuleWidget.cpp.temp ;\
	if test "$$ret" = 0; then echo '#include "FilterRuleWidget.moc"' >> FilterRuleWidget.cpp; else rm -f FilterRuleWidget.cpp ; exit $$ret ; fi

FilterRuleWidget.h: $(srcdir)/FilterRuleWidget.ui
	$(UIC) -o FilterRuleWidget.h $(srcdir)/FilterRuleWidget.ui

FilterRuleWidget.moc: FilterRuleWidget.h
	$(MOC) FilterRuleWidget.h -o FilterRuleWidget.moc

#>+ 3
ksircprocess.moc: $(srcdir)/ksircprocess.h
	$(MOC) $(srcdir)/ksircprocess.h -o ksircprocess.moc

#>+ 1
mocs: ksircprocess.moc
#>+ 3
servercontroller.moc: $(srcdir)/servercontroller.h
	$(MOC) $(srcdir)/servercontroller.h -o servercontroller.moc

#>+ 1
mocs: servercontroller.moc
#>+ 3
ioDCC.moc: $(srcdir)/ioDCC.h
	$(MOC) $(srcdir)/ioDCC.h -o ioDCC.moc

#>+ 1
mocs: ioDCC.moc
#>+ 3
ssfeprompt.moc: $(srcdir)/ssfeprompt.h
	$(MOC) $(srcdir)/ssfeprompt.h -o ssfeprompt.moc

#>+ 1
mocs: ssfeprompt.moc
#>+ 3
FilterRuleEditor.moc: $(srcdir)/FilterRuleEditor.h
	$(MOC) $(srcdir)/FilterRuleEditor.h -o FilterRuleEditor.moc

#>+ 1
mocs: FilterRuleEditor.moc
#>+ 3
ahistlineedit.moc: $(srcdir)/ahistlineedit.h
	$(MOC) $(srcdir)/ahistlineedit.h -o ahistlineedit.moc

#>+ 1
mocs: ahistlineedit.moc
#>+ 3
chanButtons.moc: $(srcdir)/chanButtons.h
	$(MOC) $(srcdir)/chanButtons.h -o chanButtons.moc

#>+ 1
mocs: chanButtons.moc
#>+ 3
alistbox.moc: $(srcdir)/alistbox.h
	$(MOC) $(srcdir)/alistbox.h -o alistbox.moc

#>+ 1
mocs: alistbox.moc
#>+ 3
iocontroller.moc: $(srcdir)/iocontroller.h
	$(MOC) $(srcdir)/iocontroller.h -o iocontroller.moc

#>+ 1
mocs: iocontroller.moc
#>+ 3
dccDialog.moc: $(srcdir)/dccDialog.h
	$(MOC) $(srcdir)/dccDialog.h -o dccDialog.moc

#>+ 1
mocs: dccDialog.moc
#>+ 3
ksview.moc: $(srcdir)/ksview.h
	$(MOC) $(srcdir)/ksview.h -o ksview.moc

#>+ 1
mocs: ksview.moc
#>+ 3
ioLAG.moc: $(srcdir)/ioLAG.h
	$(MOC) $(srcdir)/ioLAG.h -o ioLAG.moc

#>+ 1
mocs: ioLAG.moc
#>+ 3
mditoplevel.moc: $(srcdir)/mditoplevel.h
	$(MOC) $(srcdir)/mditoplevel.h -o mditoplevel.moc

#>+ 1
mocs: mditoplevel.moc
#>+ 3
colorpicker.moc: $(srcdir)/colorpicker.h
	$(MOC) $(srcdir)/colorpicker.h -o colorpicker.moc

#>+ 1
mocs: colorpicker.moc
#>+ 3
topic.moc: $(srcdir)/topic.h
	$(MOC) $(srcdir)/topic.h -o topic.moc

#>+ 1
mocs: topic.moc
#>+ 3
objFinder.moc: $(srcdir)/objFinder.h
	$(MOC) $(srcdir)/objFinder.h -o objFinder.moc

#>+ 1
mocs: objFinder.moc
#>+ 3
displayMgrMDI.moc: $(srcdir)/displayMgrMDI.h
	$(MOC) $(srcdir)/displayMgrMDI.h -o displayMgrMDI.moc

#>+ 1
mocs: displayMgrMDI.moc
#>+ 3
dccDialogData.moc: $(srcdir)/dccDialogData.h
	$(MOC) $(srcdir)/dccDialogData.h -o dccDialogData.moc

#>+ 1
mocs: dccDialogData.moc
#>+ 3
ssfepromptdata.moc: $(srcdir)/ssfepromptdata.h
	$(MOC) $(srcdir)/ssfepromptdata.h -o ssfepromptdata.moc

#>+ 1
mocs: ssfepromptdata.moc
#>+ 3
charSelector.moc: $(srcdir)/charSelector.h
	$(MOC) $(srcdir)/charSelector.h -o charSelector.moc

#>+ 1
mocs: charSelector.moc
#>+ 3
NewWindowDialog.moc: $(srcdir)/NewWindowDialog.h
	$(MOC) $(srcdir)/NewWindowDialog.h -o NewWindowDialog.moc

#>+ 1
mocs: NewWindowDialog.moc
#>+ 3
toplevel.moc: $(srcdir)/toplevel.h
	$(MOC) $(srcdir)/toplevel.h -o toplevel.moc

#>+ 1
mocs: toplevel.moc
#>+ 3
kstextview.moc: $(srcdir)/kstextview.h
	$(MOC) $(srcdir)/kstextview.h -o kstextview.moc

#>+ 1
mocs: kstextview.moc
#>+ 3
ioNotify.moc: $(srcdir)/ioNotify.h
	$(MOC) $(srcdir)/ioNotify.h -o ioNotify.moc

#>+ 1
mocs: ioNotify.moc
#>+ 3
clean-metasources:
	-rm -f  ksircprocess.moc servercontroller.moc ioDCC.moc ssfeprompt.moc FilterRuleEditor.moc ahistlineedit.moc chanButtons.moc alistbox.moc iocontroller.moc dccDialog.moc ksview.moc ioLAG.moc mditoplevel.moc colorpicker.moc topic.moc objFinder.moc displayMgrMDI.moc dccDialogData.moc ssfepromptdata.moc charSelector.moc NewWindowDialog.moc toplevel.moc kstextview.moc ioNotify.moc

#>+ 4
clean-ui:
	-rm -f \
	FilterRuleWidget.cpp FilterRuleWidget.h FilterRuleWidget.moc 

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  ksirc/Makefile
	cd $(top_srcdir) && perl admin/am_edit ksirc/Makefile.in


#>+ 37
: cdate.h
#>- $(srcdir)/toplevel.cpp: cdate.h
#>+ 1
$(srcdir)/toplevel.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/charSelector.cpp: cdate.h
#>+ 1
$(srcdir)/charSelector.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/chanButtons.cpp: cdate.h
#>+ 1
$(srcdir)/chanButtons.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ksirc.cpp: cdate.h
#>+ 1
$(srcdir)/ksirc.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/alistbox.cpp: cdate.h
#>+ 1
$(srcdir)/alistbox.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ahistlineedit.cpp: cdate.h
#>+ 1
$(srcdir)/ahistlineedit.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/iocontroller.cpp: cdate.h
#>+ 1
$(srcdir)/iocontroller.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/NewWindowDialog.cpp: cdate.h
#>+ 1
$(srcdir)/NewWindowDialog.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/messageReceiver.cpp: cdate.h
#>+ 1
$(srcdir)/messageReceiver.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ioBroadcast.cpp: cdate.h
#>+ 1
$(srcdir)/ioBroadcast.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ksircprocess.cpp: cdate.h
#>+ 1
$(srcdir)/ksircprocess.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/servercontroller.cpp: cdate.h
#>+ 1
$(srcdir)/servercontroller.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/FilterRuleEditor.cpp: cdate.h
#>+ 1
$(srcdir)/FilterRuleEditor.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ioDiscard.cpp: cdate.h
#>+ 1
$(srcdir)/ioDiscard.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ioDCC.cpp: cdate.h
#>+ 1
$(srcdir)/ioDCC.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/dccDialog.cpp: cdate.h
#>+ 1
$(srcdir)/dccDialog.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/dccDialogData.cpp: cdate.h
#>+ 1
$(srcdir)/dccDialogData.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ioLAG.cpp: cdate.h
#>+ 1
$(srcdir)/ioLAG.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ioNotify.cpp: cdate.h
#>+ 1
$(srcdir)/ioNotify.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ssfeprompt.cpp: cdate.h
#>+ 1
$(srcdir)/ssfeprompt.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ssfepromptdata.cpp: cdate.h
#>+ 1
$(srcdir)/ssfepromptdata.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/usercontrolmenu.cpp: cdate.h
#>+ 1
$(srcdir)/usercontrolmenu.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/baserules.cpp: cdate.h
#>+ 1
$(srcdir)/baserules.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/chanparser.cpp: cdate.h
#>+ 1
$(srcdir)/chanparser.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/objFinder.cpp: cdate.h
#>+ 1
$(srcdir)/objFinder.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/displayMgrSDI.cpp: cdate.h
#>+ 1
$(srcdir)/displayMgrSDI.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/displayMgrMDI.cpp: cdate.h
#>+ 1
$(srcdir)/displayMgrMDI.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/mditoplevel.cpp: cdate.h
#>+ 1
$(srcdir)/mditoplevel.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ksopts.cpp: cdate.h
#>+ 1
$(srcdir)/ksopts.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/topic.cpp: cdate.h
#>+ 1
$(srcdir)/topic.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/ksview.cpp: cdate.h
#>+ 1
$(srcdir)/ksview.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/logfile.cpp: cdate.h
#>+ 1
$(srcdir)/logfile.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/kstextview.cpp: cdate.h
#>+ 1
$(srcdir)/kstextview.cpp: FilterRuleWidget.h  cdate.h
#>- $(srcdir)/colorpicker.cpp: cdate.h
#>+ 1
$(srcdir)/colorpicker.cpp: FilterRuleWidget.h  cdate.h
FilterRuleWidget.cpp: cdate.h

#>+ 11
ksirc_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/toplevel.cpp $(srcdir)/charSelector.cpp $(srcdir)/chanButtons.cpp $(srcdir)/ksirc.cpp $(srcdir)/alistbox.cpp $(srcdir)/ahistlineedit.cpp $(srcdir)/iocontroller.cpp $(srcdir)/NewWindowDialog.cpp $(srcdir)/messageReceiver.cpp $(srcdir)/ioBroadcast.cpp $(srcdir)/ksircprocess.cpp $(srcdir)/servercontroller.cpp $(srcdir)/FilterRuleEditor.cpp $(srcdir)/ioDiscard.cpp $(srcdir)/ioDCC.cpp $(srcdir)/dccDialog.cpp $(srcdir)/dccDialogData.cpp $(srcdir)/ioLAG.cpp $(srcdir)/ioNotify.cpp $(srcdir)/ssfeprompt.cpp $(srcdir)/ssfepromptdata.cpp $(srcdir)/usercontrolmenu.cpp $(srcdir)/baserules.cpp $(srcdir)/chanparser.cpp $(srcdir)/objFinder.cpp $(srcdir)/displayMgrSDI.cpp $(srcdir)/displayMgrMDI.cpp $(srcdir)/mditoplevel.cpp $(srcdir)/ksopts.cpp $(srcdir)/topic.cpp $(srcdir)/ksview.cpp $(srcdir)/logfile.cpp $(srcdir)/kstextview.cpp $(srcdir)/colorpicker.cpp FilterRuleWidget.cpp  servercontroller.moc ksircprocess.moc ssfeprompt.moc ioDCC.moc chanButtons.moc ahistlineedit.moc FilterRuleEditor.moc alistbox.moc iocontroller.moc dccDialog.moc ksview.moc ioLAG.moc mditoplevel.moc colorpicker.moc topic.moc objFinder.moc displayMgrMDI.moc dccDialogData.moc ssfepromptdata.moc charSelector.moc toplevel.moc NewWindowDialog.moc FilterRuleWidget.moc kstextview.moc ioNotify.moc
	@echo 'creating ksirc_la.all_cpp.cpp ...'; \
	rm -f ksirc_la.all_cpp.files ksirc_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> ksirc_la.all_cpp.final; \
	for file in toplevel.cpp charSelector.cpp chanButtons.cpp ksirc.cpp alistbox.cpp ahistlineedit.cpp iocontroller.cpp NewWindowDialog.cpp messageReceiver.cpp ioBroadcast.cpp ksircprocess.cpp servercontroller.cpp FilterRuleEditor.cpp ioDiscard.cpp ioDCC.cpp dccDialog.cpp dccDialogData.cpp ioLAG.cpp ioNotify.cpp ssfeprompt.cpp ssfepromptdata.cpp usercontrolmenu.cpp baserules.cpp chanparser.cpp objFinder.cpp displayMgrSDI.cpp displayMgrMDI.cpp mditoplevel.cpp ksopts.cpp topic.cpp ksview.cpp logfile.cpp kstextview.cpp colorpicker.cpp FilterRuleWidget.cpp ; do \
	  echo "#include \"$$file\"" >> ksirc_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> ksirc_la.all_cpp.final; \
	done; \
	cat ksirc_la.all_cpp.final ksirc_la.all_cpp.files > ksirc_la.all_cpp.cpp; \
	rm -f ksirc_la.all_cpp.final ksirc_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f ksirc_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) ksirc_la_OBJECTS="$(ksirc_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) ksirc_la_OBJECTS="$(ksirc_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) ksirc_la_OBJECTS="$(ksirc_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) ksirc_la_OBJECTS="$(ksirc_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 49
dccDialog.o: dccDialog.moc 
NewWindowDialog.o: NewWindowDialog.moc 
charSelector.lo: charSelector.moc 
ahistlineedit.o: ahistlineedit.moc 
servercontroller.o: servercontroller.moc 
topic.o: topic.moc 
charSelector.o: charSelector.moc 
FilterRuleEditor.lo: FilterRuleEditor.moc 
ssfeprompt.o: ssfeprompt.moc 
kstextview.o: kstextview.moc 
ksircprocess.lo: ksircprocess.moc 
ksview.lo: ksview.moc 
kstextview.lo: kstextview.moc 
displayMgrMDI.lo: displayMgrMDI.moc 
ioNotify.lo: ioNotify.moc 
topic.lo: topic.moc 
toplevel.o: toplevel.moc 
alistbox.o: alistbox.moc 
iocontroller.lo: iocontroller.moc 
dccDialogData.o: dccDialogData.moc 
servercontroller.lo: servercontroller.moc 
mditoplevel.o: mditoplevel.moc 
ioDCC.o: ioDCC.moc 
toplevel.lo: toplevel.moc 
ssfeprompt.lo: ssfeprompt.moc 
ioLAG.o: ioLAG.moc 
objFinder.o: objFinder.moc 
chanButtons.lo: chanButtons.moc 
colorpicker.o: colorpicker.moc 
iocontroller.o: iocontroller.moc 
ahistlineedit.lo: ahistlineedit.moc 
ioLAG.lo: ioLAG.moc 
ioDCC.lo: ioDCC.moc 
ksircprocess.o: ksircprocess.moc 
FilterRuleEditor.o: FilterRuleEditor.moc 
colorpicker.lo: colorpicker.moc 
ssfepromptdata.o: ssfepromptdata.moc 
objFinder.lo: objFinder.moc 
displayMgrMDI.o: displayMgrMDI.moc 
dccDialogData.lo: dccDialogData.moc 
ioNotify.o: ioNotify.moc 
ssfepromptdata.lo: ssfepromptdata.moc 
NewWindowDialog.lo: NewWindowDialog.moc 
mditoplevel.lo: mditoplevel.moc 
alistbox.lo: alistbox.moc 
ksview.o: ksview.moc 
dccDialog.lo: dccDialog.moc 
chanButtons.o: chanButtons.moc 
